#| 
Autor :   Adrian Fichte
Email adrian@36zero.de
                                   
|#

(in-package :AdrianF)
(use-package :OLI)

(sd-create-logical-table ;laenge_1 laenge_2 wandst Radius
 "DIN-EN-10219-2-QRO"
  :columns     '(:Benennung		:laenge_1	:laenge_2 	:Radius 	:wandst	)
  :columnNames '("Bezeichnung"	"Hhe"		"Breite" 	"Radius" 		"Wandstrke")
  :types       '(:string		:length		:length		:length			:length	)
  :units       '( nil			:mm			:mm			:mm				:mm	)
  :contents   '(
				("QRO 23x1,6 " (23.00 :mm)  (23.00 :mm) (3.20 :mm) (1.60 :mm) )

				)
)
(sd-create-display-table
     "DIN-EN-10219-2-QRO"
     :tableTitle         "DIN-EN-10219-2-QRO"
     :logicalTable       "DIN-EN-10219-2-QRO"
	 :columns     		'(:Benennung		:laenge_1	:laenge_2 	:Radius 	:wandst	)
     :applyColumns       '( :laenge_1	:laenge_2 	:Radius 	:wandst	)
     :displayHeight      850
     :filterStatusLine   nil
     :selectionMode      :single-row 
     :applyAction        :default-tokens
)

(in-package :GD-package)
(use-package :OLI)

(sd-create-logical-table ;laenge_1 laenge_2 wandst Radius1
 "DIN-EN-10219-2-RRO"
  :columns     '(:Benennung		:laenge_1	:laenge_2 	:Radius 	:wandst	)
  :columnNames '("Bezeichnung"	"Hhe"		"Breite" 	"Radius" 		"Wandstrke")
  :types       '(:string		:length		:length		:length			:length	)
  :units       '( nil			:mm			:mm			:mm				:mm	)
  :contents   '(
				("RRO 33x23x1,5 " (33.00 :mm) (23.00 :mm) (3.00 :mm) (1.50 :mm))

				)
)
(sd-create-display-table
     "DIN-EN-10219-2-RRO"
     :tableTitle         "DIN-EN-10219-2-RRO"
     :logicalTable       "DIN-EN-10219-2-RRO"
	 :columns     		'(:Benennung		:laenge_1	:laenge_2 	:Radius 	:wandst	)
     :applyColumns       '( :laenge_1	:laenge_2 	:Radius 	:wandst	)
     :displayHeight      850
     :filterStatusLine   nil
     :selectionMode      :single-row 
     :applyAction        :default-tokens
)