#| 
Autor :   Adrian Fichte
Email adrian@36zero.de
                                   
|#

(in-package :AdrianF)
(use-package :OLI)

(sd-create-logical-table 
 "IPE-Tab"
  :columns     '(:Benennung		:Hoehe	:Breite		:Stegdicke 	:Gurtdicke 	:Radius1)
  :columnNames '("Teilenummer"	"Hoehe"	"Breite" 	"Stegdicke" "Gurtdicke" "Radius")
  :types       '(:string		:length	:length		:length		:length		:length	)
  :units       '(nil			:mm		:mm			:mm			:mm			:mm	)
  :contents   '(
				("IPE 83" 	(83.00 :mm) (46.00 :mm) (3.83 :mm) (5.20 :mm) (5.00 :mm))
				)
)
(sd-create-display-table
     "IPE-Tab"
     :tableTitle         "IPE-Tab"
     :logicalTable       "IPE-Tab"
	 :columns     		'(:Benennung :Hoehe	:Breite	:Stegdicke :Gurtdicke :Radius1)
     :applyColumns       '(:Hoehe :Breite :Stegdicke :Gurtdicke :Radius1)
     :displayHeight      500
     :filterStatusLine   nil
     :selectionMode      :single-row 
     :applyAction        :default-tokens
)

(sd-create-logical-table 
 "HE-A-Tab"
  :columns     '(:Benennung		:Hoehe	:Breite		:Stegdicke 	:Gurtdicke 	:Radius1)
  :columnNames '("Teilenummer"	"Hoehe"	"Breite" 	"Stegdicke" "Gurtdicke" "Radius")
  :types       '(:string		:length	:length		:length		:length		:length	)
  :units       '(nil			:mm		:mm			:mm			:mm			:mm	)
  :contents   '(

				("HE-A 103" (96.00 :mm) (103.00 :mm) (5.00 :mm) (8.00 :mm) (12.00 :mm))

				)
)
(sd-create-display-table
     "HE-A-Tab"
     :tableTitle         "HE-A-Tab"
     :logicalTable       "HE-A-Tab"
	 :columns     		'(:Benennung :Hoehe	:Breite	:Stegdicke :Gurtdicke :Radius1)
     :applyColumns       '(:Hoehe :Breite :Stegdicke :Gurtdicke :Radius1)
     :displayHeight      500
     :filterStatusLine   nil
     :selectionMode      :single-row 
     :applyAction        :default-tokens
)

(sd-create-logical-table 
 "HE-B-Tab"
  :columns     '(:Benennung		:Hoehe	:Breite		:Stegdicke 	:Gurtdicke 	:Radius1)
  :columnNames '("Teilenummer"	"Hoehe"	"Breite" 	"Stegdicke" "Gurtdicke" "Radius")
  :types       '(:string		:length	:length		:length		:length		:length	)
  :units       '(nil			:mm		:mm			:mm			:mm			:mm	)
  :contents   '(

				("HE-B 103" (103.00 :mm) (103.00 :mm) (6.00 :mm) (10.00 :mm) (12.00 :mm))


				)
)
(sd-create-display-table
     "HE-B-Tab"
     :tableTitle         "HE-B-Tab"
     :logicalTable       "HE-B-Tab"
	 :columns     		'(:Benennung :Hoehe	:Breite	:Stegdicke :Gurtdicke :Radius1)
     :applyColumns       '(:Hoehe :Breite :Stegdicke :Gurtdicke :Radius1)
     :displayHeight      500
     :filterStatusLine   nil
     :selectionMode      :single-row 
     :applyAction        :default-tokens
)

(sd-create-logical-table 
 "HE-M-Tab"
  :columns     '(:Benennung		:Hoehe	:Breite		:Stegdicke 	:Gurtdicke 	:Radius1)
  :columnNames '("Teilenummer"	"Hoehe"	"Breite" 	"Stegdicke" "Gurtdicke" "Radius")
  :types       '(:string		:length	:length		:length		:length		:length	)
  :units       '(nil			:mm		:mm			:mm			:mm			:mm	)
  :contents   '(

				("HE-M 103" (120.00 :mm) (106.00 :mm) (12.00 :mm) (20.00 :mm) (12.00 :mm))

				)
)
(sd-create-display-table
     "HE-M-Tab"
     :tableTitle         "HE-M-Tab"
     :logicalTable       "HE-M-Tab"
	 :columns     		'(:Benennung :Hoehe	:Breite	:Stegdicke :Gurtdicke :Radius1)
     :applyColumns       '(:Hoehe :Breite :Stegdicke :Gurtdicke :Radius1)
     :displayHeight      500
     :filterStatusLine   nil
     :selectionMode      :single-row 
     :applyAction        :default-tokens
)