#| 
Autor :   Adrian Fichte
Email adrian@36zero.de
                                   
|#

(in-package :AdrianF)
(use-package :OLI)

(sd-create-logical-table 
 "DIN-EN-10056-1-Ungleichschenklig"
  :columns     '(:Benennung		:Hoehe			:Breite		:Radius1		:Radius2 		:Schenkeldicke)
  :columnNames '("Bezeichnung"	"a"			"b"		"Radius1"		"Radius1" 		"s")
  :types       '(:string		:length		:length	:length	:length	:length)
  :units       '(nil			:mm			:mm		:mm		:mm		:mm)
  :contents   '(
				("33x20x3" 		(33 :mm) 	(20 :mm) 	(3.5 :mm) 	(2 :mm) 	(3 :mm))

				)
)
(sd-create-display-table
     "DIN-EN-10056-1-Ungleichschenklig"
     :tableTitle         "DIN-EN-10056-1-Ungleichschenklig"
     :logicalTable       "DIN-EN-10056-1-Ungleichschenklig"
     :columns            '(:Benennung :Hoehe :Breite :Radius1 :Radius2 :Schenkeldicke)
     :applyColumns       '(:Hoehe :Breite :Radius1 :Radius2 :Schenkeldicke)
     :displayHeight      850
     :filterStatusLine   nil
     :selectionMode      :single-row 
     :applyAction        :default-tokens
)
(sd-create-logical-table 
 "DIN-EN-10056-1-Gleichschenklig"
  :columns     '(:Benennung		:Hoehe		:Breite		:Schenkeldicke			:Radius1		:Radius2)
  :columnNames '("Bezeichnung"	"a"		"b"		"s"			"Radius1"		"Radius2")
  :types       '	(:string		:length	:length	:length		:length	:length)
  :units       '	(nil			:mm		:mm		:mm			:mm		:mm)
  :contents   '(
				("33x33x3"		(33 :mm)	(33 :mm)	(3 :mm)		(5 :mm)		(2.5  :mm))

				)
)
(sd-create-display-table
     "DIN-EN-10056-1-Gleichschenklig"
     :tableTitle         "DIN-EN-10056-1-Gleichschenklig"
     :logicalTable       "DIN-EN-10056-1-Gleichschenklig"
     :columns            '(:Benennung :Hoehe :Breite :Radius1 :Radius2 :Schenkeldicke)
     :applyColumns       '(:Hoehe :Breite :Radius1 :Radius2 :Schenkeldicke)
     :displayHeight      850
     :filterStatusLine   nil
     :selectionMode      :single-row 
     :applyAction        :default-tokens
)