#| 
Autor :   Adrian Fichte
Email adrian@36zero.de
                                   
|#

(in-package :AdrianF)
(use-package :OLI)

(sd-create-logical-table
 "DIN-1026"
  :columns     '(:Benennung		:Hoehe		:Breite 	:ts 	:tg		:r1		:r2 )
  :columnNames '("Bezeichnung"	"Hhe"		"Breite" 	"ts" 	"tg"	"r1"	"r2"	)
  :types       '(:string		:length		:length		:length	:length	:length	:length	)
  :units       '( nil			:mm			:mm			:mm		:mm		:mm		:mm	)
  :contents   '(
				("U 33x15" 	(33.00 :mm) (15.00 :mm) (4.00 :mm) (4.50 :mm) (4.50 :mm) (2.00 :mm) )

				)
)
(sd-create-display-table
     "DIN-1026"
     :tableTitle         "U-Stahl DIN-1026"
     :logicalTable       "DIN-1026"
	 :columns     		'(:Benennung :Hoehe	:Breite :ts :tg	:r1	:r2)
     :applyColumns       '( :Hoehe	:Breite :ts :tg	:r1	:r2)
     :displayHeight      500
     :filterStatusLine   nil
     :selectionMode      :single-row 
     :applyAction        :default-tokens
)
