#| 
Autor :   Adrian Fichte
Email adrian@36zero.de
                                   
|#

(in-package :AdrianF)
(use-package :OLI)

(sd-create-logical-table 
 "DIN-EN-10210-2-Warmgefertigt"
  :columns     '(:Benennung		:Durchmesser			:Wandstaerke)
  :columnNames '("Bezeichnung"	"Durchmesser"			"Wandstrke")
  :types       '(:string		:length		:length)
  :units       '(nil			:mm			:mm)
  :contents   '(
("RO 21.3x2.3"	(21.33	:mm)	(2.33	:mm))


				)
)
(sd-create-display-table
     "DIN-EN-10210-2-Warmgefertigt"
     :tableTitle         "DIN-EN-10210-2-Warmgefertigt"
     :logicalTable       "DIN-EN-10210-2-Warmgefertigt"
     :columns            '(:Benennung :Durchmesser :Wandstaerke)
     :applyColumns       '(:Durchmesser :Wandstaerke )
     :displayHeight      900
     :filterStatusLine   nil
     :selectionMode      :single-row 
     :applyAction        :default-tokens
)
(sd-create-logical-table 
 "DIN-EN-10219-2-Kaltgefertigt"
  :columns     '(:Benennung		:Durchmesser			:Wandstaerke)
  :columnNames '("Bezeichnung"	"Durchmesser"			"Wandstrke")
  :types       '(:string		:length		:length)
  :units       '(nil			:mm			:mm)
  :contents   '(
("RO 21.3x2"	(21.33	:mm)	(2.00	:mm))


				)
)
(sd-create-display-table
     "DIN-EN-10219-2-Kaltgefertigt"
     :tableTitle         "DIN-EN-10219-2-Kaltgefertigt"
     :logicalTable       "DIN-EN-10219-2-Kaltgefertigt"
     :columns            '(:Benennung :Durchmesser :Wandstaerke)
     :applyColumns       '(:Durchmesser :Wandstaerke)
     :displayHeight      900
     :filterStatusLine   nil
     :selectionMode      :single-row 
     :applyAction        :default-tokens
)